# Bityuan Main Network Environment

**[Bityuan Main Network Environment Configuration](https://github.com/bityuan/bityuan/blob/master/bityuan.toml)**

**[Configuration that cannot be modified by the user in the bityuan main environment](https://github.com/bityuan/bityuan/blob/master/bityuan.go#L4-L197)**

The following is the configuration of the bityuan main network environment and the meaning of each parameter:

```
# The Title is bityuan, which means the configuration file of the main network environment. Generally, no modification is required.
Title="bityuan"
FixTime=false
[log]
# Log level, support debug(dbug)/info/warn/error(eror)/crit
loglevel = "info"
logConsoleLevel = "info"
# Log file name, where all generated log files are placed, 
logFile = "logs/chain33.log"
# Maximum value of a single log file (unit: megabyte)
maxFileSize = 300
# Maximum number of saved history log files 
maxBackups = 100
# Maximum number of saved history log messages (unit: days)
maxAge = 28
# Whether log file names use local time (if not, then use UTC time)
localTime = true
# Whether the history log file is compressed (compressed format is gz)
compress = true
# Whether to print the call source file and line number
callerFile = false
# Whether to print the calling method
callerFunction = false
[blockchain]
# Number of cached blocks
defCacheSize=128
# The maximum number of blocks to apply for at one time when synchronizing blocks
maxFetchBlockNum=128
# The time interval between requesting a synchronized block from the opposite node
timeoutSeconds=5
# Database type used
driver="leveldb"
# Database file directory
dbPath="datadir"
# Database cache size
dbCache=64
# Whether it is a single node
singleMode=true
# Whether need to write to disk immediately when bulk writing to a database. You can set false for non-ssd computers to improve performance.
batchsync=false
# Whether to record the sequence of adding or deleting blocks, if the node act as the main chain node and provides service for the parallel chain node, it needs to be set to true
isRecordBlockSequence=true
# Whether it is a parallel chain node
isParaChain=false
# Whether to turn on the tx quick query index
enableTxQuickIndex=false
[p2p]
# P2P service monitor port number
port=13802
# Seed node, in ip:port format, with multiple nodes separated by commas, such as seeds=["10.0.0.1:13802","10.0.0.2:13802","10.0.0.3:13802"]
seeds=[]
# Whether to start P2P service
enable=true
# Whether it is a seed node
isSeed=false
# Whether to provide external services as a server
serverStart=true
# Whether to use the built-in seed node
innerSeedEnable=ture
# Whether to use Github to obtain seed nodes
useGithub=ture
# The maximum number of access nodes
innerBounds=300
# Database type
driver="leveldb"
# Database file directory
dbPath="datadir/addrbook"
# Database cache size
dbCache=4
# GRPC request log file
grpcLogFile="grpc33.log"
[rpc]
# jrpc bind address
jrpcBindAddr="localhost:8801"
# grpc bind address
grpcBindAddr="localhost:8802"
# White list of IP address allowed to access, default is "*", allow all IP to access
whitelist=["*"]
# JRPC requests a whitelist, which defaults to "*", allowing access to all RPC methods
jrpcFuncWhitelist=["*"]
# JRPC method request blacklist, prohibit the call of RPC method configured in the blacklist, generally used in conjunction with the white list, the default is empty
# jrpcFuncBlacklist=["xxxx"]
# GRPC methods request whitelist, default is "*", allowing access to all RPC methods
grpcFuncWhitelist=["*"]
# GRPC method request blacklist, prohibit the call of RPC method configured in the blacklist, generally used in conjunction with the white list, the default is empty
# grpcFuncBlacklist=["xxx"]
# Whether to turn on HTTPS
enableTLS=false
# Certificate files, certificates and private key files can be generated by the cli tool
certFile="cert.pem"
# Private key files
keyFile="key.pem"
# mempool queue configuration only works for packaged nodes
[mempool]
# The maximum number of transactions per account in mempool, default is 100 
maxTxNumPerAccount=100
[store]
# Data file storage path
dbPath="datadir/mavltree"
# Cache size
dbCache=128
[store.sub.mavl]
# Whether to enable mavl prefix
enableMavlPrefix=false
# Whether enable MVCC,if enableMVCC in mavl is true then this has to be true
enableMVCC=false
# Whether to enable mavl data clipping
enableMavlPrune=false
# Cutting height interval
pruneHeight=10000
[wallet]
# walletdb path
dbPath="wallet"
# walletdb cache size
dbCache=16
[wallet.sub.ticket]
# Cut the height interval to close ticket auto mining, default is false
minerdisable=false
# White list addresses that allow ticket mining, default config "*" for allowing all addresses
minerwhitelist=["*"]
[exec]
#Whether to turn on the stat plug-in
enableStat=false
#Whether to turn on the MVCC plug-in
enableMVCC=false
[exec.sub.token]
#Whether to save token transaction information
saveTokenTxList=false
```

